/*
 * Copyright (C) 2013, 2014 Nikos Mavrogiannopoulos
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#include <config.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>
#include <vpn.h>
#include <tun.h>
#include <main.h>
#include <common.h>
#include <vpn.h>
#include <sec-mod-sup-config.h>
#include <sup-config/file.h>
#include <sup-config/radius.h>

int get_sup_config(client_entry_st *entry, SecmPrepareReplyMsg *msg, void *pool)
{
	struct perm_cfg_st *perm_config = &entry->vhost->perm_config;
	int ret;

	ret = file_get_sup_config(perm_config->config, entry, msg, pool);
	if (ret < 0)
		return ret;

#ifdef HAVE_RADIUS
	if (perm_config->supplement_radius_config) {
		ret = radius_get_sup_config(perm_config->config, entry, msg, pool);
		if (ret < 0)
			return ret;
	}
#endif

	return 0;
}
